<?php
/*
 * Amazon Pay 決済申込要求サンプル
 */

/**
 * MDK配置ディレクトリ
 */
define('MDK_DIR', '../tgMdk/');

/**
 * ステータスコード
 */
define('TXN_FAILURE_CODE', 'failure');
define('TXN_PENDING_CODE', 'pending');
define('TXN_SUCCESS_CODE', 'success');

require_once(MDK_DIR."3GPSMDK.php");

 /**
  * 取引ID
  */
 $order_id = "dummy".time();

 /**
  * 決済金額
  */
 $amount = "100";

 /**
  * 売上フラグ
  */
 $is_with_capture = "false";

 /**
  * 配送先表示抑制フラグ
  */
 $is_suppress_shipping_address_view = "false";

 /**
  * 注文説明
  */
 $note_to_buyer = "テスト商品";

 /**
  * 完了時URL
  */
 $success_url = "https://sample.com";

 /**
  * キャンセル時URL
  */
 $cancel_url = "https://sample.com";

 /**
  * エラー時URL
  */
 $error_url = "https://sample.com";

 /**
  * 要求電文パラメータ値の指定
  */
 $request_data = new AmazonpayAuthorizeRequestDto();

 $request_data->setOrderId($order_id);
 $request_data->setAmount($amount);
 $request_data->setWithCapture($is_with_capture);
 $request_data->setSuppressShippingAddressView($is_suppress_shipping_address_view);
 $request_data->setNoteToBuyer($note_to_buyer);
 $request_data->setSuccessUrl($success_url);
 $request_data->setCancelUrl($cancel_url);
 $request_data->setErrorUrl($error_url);

 /**
  * 実施
  */
 $transaction = new TGMDK_Transaction();
 $response_data = $transaction->execute($request_data);

 /**
  * 結果コード取得
  */
 $txn_status = $response_data->getMStatus();
 /**
  * 詳細コード取得
  */
 $txn_result_code = $response_data->getVResultCode();
 /**
  * エラーメッセージ取得
  */
 $error_message = $response_data->getMerrMsg();

 /**
  * 結果表示
  */
 // 成功
 if (TXN_SUCCESS_CODE === $txn_status) {
     echo $txn_status."\n";
     echo "Transaction Successfully Complete\n";
     echo "[Result Code]: ".$txn_result_code."\n";
     echo "[Order ID]: ".$response_data->getOrderId()."\n";
     echo "[Response Contents]: ".$response_data->getResponseContents()."\n";
 //ペンディング
 } else if (TXN_PENDING_CODE === $txn_status) {
     echo $txn_status."\n";
     echo "Transaction Pending\n";
     echo "[Message]: ".$error_message."\n";
     echo "[Result Code]: ".$txn_result_code."\n";
     echo "[Order ID]: ".$response_data->getOrderId()."\n";
     echo "Check log file for more information\n";
 // 失敗
 } else if (TXN_FAILURE_CODE === $txn_status) {
     echo $txn_status."\n";
     echo "Transaction Failure\n";
     echo "[Message]: ".$error_message."\n";
     echo "[Result Code]: ".$txn_result_code."\n";
     echo "[Order ID]: ".$response_data->getOrderId()."\n";
     echo "Check log file for more information\n";
 }
?>
