<?php
# Copyright © VeriTrans Inc. All rights reserved.

define('MDK_DIR', '../tgMdk/');
require_once(MDK_DIR."3GPSMDK.php");

// -------------------------------------------------------------------------
// Amazon Payの実行および結果画面のサンプル
// -------------------------------------------------------------------------

/**
 * 取引ステータス
 */
$txn_status = htmlspecialchars(@$_POST["mstatus"]);

/**
 * 結果コード
 */
$txn_result_code = htmlspecialchars(@$_POST["vResultCode"]);

/**
 * 取引ID
 */
$order_id = htmlspecialchars(@$_POST["orderId"]);

/**
 * 決済センターの管理ID
 */
$center_order_id = htmlspecialchars(@$_POST["centerOrderId"]);

/**
 * 決済センターのトランザクション管理ID
 */
$center_transaction_id = htmlspecialchars(@$_POST["centerTransactionId"]);

/**
 * 決済センター応答日時
 */
$center_response_datetime = htmlspecialchars(@$_POST["centerResponseDatetime"]);

/**
 * 配送先：氏名
 */
$shipping_name = htmlspecialchars(@$_POST["shippingName"]);

/**
 * 配送先：電話番号
 */
$shipping_phone = htmlspecialchars(@$_POST["shippingPhone"]);

/**
 * 配送先：住所１
 */
$shipping_address1 = htmlspecialchars(@$_POST["shippingAddress1"]);

/**
 * 配送先：住所２
 */
$shipping_address2 = htmlspecialchars(@$_POST["shippingAddress2"]);

/**
 * 配送先：住所３
 */
$shipping_address3 = htmlspecialchars(@$_POST["shippingAddress3"]);

/**
 * 配送先：都道府県
 */
$shipping_prefecture = htmlspecialchars(@$_POST["shippingPrefecture"]);

/**
 * 配送先：郵便番号
 */
$shipping_postal_code = htmlspecialchars(@$_POST["shippingPostalCode"]);

/**
 * 取引結果
 */
$result = htmlspecialchars(@$_GET["result"]);
if($result === "SUCCESS"){
    $str_result = "完了";
}
elseif($result === "ERROR"){
    $str_result = "エラー";
}
$str_command = "決済";
$conf = TGMDK_Config::getInstance();
$array = $conf->getConnectionParameters();
$merchant_cc_id = $array[TGMDK_Config::MERCHANT_CC_ID];
$merchant_pw = $array[TGMDK_Config::MERCHANT_SECRET_KEY];
$charset = "UTF-8";

$check_result = TGMDK_AuthHashUtil::checkAuthHash(@$_POST, $merchant_cc_id, $merchant_pw, $charset);
if (!isset($check_result) || $check_result == false) {
    $warn_msg = "<font color='#ff0000'><b>【パラメータ改竄】パラメータ情報が改竄されています。</b></font><br/><br/>";
} else {
    echo "<!-- vAuthInfo check is OK -->";
}
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>決済申込結果（<?php echo $result ?>）</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G Amazon Payの取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
</font>
</div>

<?php
  if (!empty($warn_msg)) {
    echo $warn_msg."<br>";
  }
?>

<div class="lhtitle">Amazon Pay：取引結果（<?php echo $str_command ?><?php echo $str_result ?>）</div>
<table border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td class="rititletop">取引ステータス</td>
    <td class="rivaluetop"><?php echo $txn_status ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">結果コード</td>
    <td class="rivalue"><?php echo $txn_result_code ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">取引ID</td>
    <td class="rivalue"><?php echo $order_id ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">決済センターの管理ID</td>
    <td class="rivalue"><?php echo $center_order_id ?><br />
    </td>
  </tr>
  <tr>
    <td class="rititle">決済センターのトランザクション管理ID</td>
    <td class="rivalue"><?php echo $center_transaction_id ?><br />
    </td>
  </tr>
  <tr>
    <td class="rititle">決済センター応答日時</td>
    <td class="rivalue"><?php echo $center_response_datetime ?><br />
    </td>
  </tr>
  <tr>
    <td class="rititle">配送先：氏名</td>
    <td class="rivalue"><?php echo $shipping_name ?><br />
    </td>
  </tr>
  <tr>
    <td class="rititle">配送先：電話番号</td>
    <td class="rivalue"><?php echo $shipping_phone ?><br />
    </td>
  </tr>
  <tr>
    <td class="rititle">配送先：住所１</td>
    <td class="rivalue"><?php echo $shipping_address1 ?><br />
    </td>
  </tr>
  <tr>
    <td class="rititle">配送先：住所２</td>
    <td class="rivalue"><?php echo $shipping_address2 ?><br />
    </td>
  </tr>
  <tr>
    <td class="rititle">配送先：住所３</td>
    <td class="rivalue"><?php echo $shipping_address3 ?><br />
    </td>
  </tr>
  <tr>
    <td class="rititle">配送先：都道府県</td>
    <td class="rivalue"><?php echo $shipping_prefecture ?><br />
    </td>
  </tr>
  <tr>
    <td class="rititle">配送先：郵便番号</td>
    <td class="rivalue"><?php echo $shipping_postal_code ?><br />
    </td>
  </tr>
</table>
<br/>

<a href="../PaymentMethodSelect.php">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved


</body>
</html>

