<?php
# Copyright © VeriTrans Inc. All right reserved.
// -------------------------------------------------------------------------
// VeriTrans 4G - クレジットカード決済(本人認証) 本人認証結果確認の実行および結果画面のサンプル
// -------------------------------------------------------------------------

define('MDK_DIR', '../tgMdk/');

define('INPUT_PAGE', 'GetResult.php');

define('TXN_FAILURE_CODE', 'failure');
define('TXN_SUCCESS_CODE', 'success');

define('ERROR_PAGE_TITLE', 'System Error');
define('NORMAL_PAGE_TITLE', '取引結果');

require_once(MDK_DIR."3GPSMDK.php");

/**
 * 取引ID
 */
$orderId = @$_POST["orderId"];

/**
 * 必須パラメータ値チェック
 */
if (empty($orderId)){
    $warning =  "<font color='#ff0000'><b>必須項目：取引IDが指定されていません</b></font>";
    include_once(INPUT_PAGE);
    exit;
}

/**
 * 要求電文パラメータ値の指定
 */
$request_data = new MpiGetResultRequestDto();
$request_data->setOrderId($orderId);


/**
 * 実施
 */
$transaction = new TGMDK_Transaction();
$response_data = $transaction->execute($request_data);

//予期しない例外
if (!isset($response_data)) {
    $page_title = ERROR_PAGE_TITLE;
    //想定応答の取得
} else {

    //  var_dump($response_data);
    $page_title = NORMAL_PAGE_TITLE;

    $vResultCode="";
    $mErrMsg="";
    $mStatus="";
    $orderId="";
    $requestId="";
    $reqAmount="";
    $reqCardNumber="";
    $mpiMstatus="";
    $mpiVresultCode="";
    $cardMstatus="";
    $authCode="";
    $dddMessageVersion="";
    $dddTransactionId="";
    $dddDsTransactionId="";
    $dddServerTransactionId="";
    $dddTransactionStatus="";
    $dddCavvAlgorithm="";
    $dddCavv="";
    $dddEci="";

    $vResultCode=$response_data->getVResultCode();
    $mErrMsg=$response_data->getMerrMsg();
    $mStatus=$response_data->getMstatus();
    $orderId=$response_data->getOrderId();
    $requestId=$response_data->getRequestId();
    $reqAmount=$response_data->getReqAmount();
    $reqCardNumber=$response_data->getReqCardNumber();
    $mpiMstatus=$response_data->getMpiMstatus();
    $mpiVresultCode=$response_data->getMpiVresultCode();
    $cardMstatus=$response_data->getCardMstatus();
    $authCode=$response_data->getAuthCode();
    $dddMessageVersion=$response_data->getDddMessageVersion();
    $dddTransactionId=$response_data->getDddTransactionId();
    $dddDsTransactionId=$response_data->getDddDsTransactionId();
    $dddServerTransactionId=$response_data->getDddServerTransactionId();
    $dddTransactionStatus=$response_data->getDddTransactionStatus();
    $dddCavvAlgorithm=$response_data->getDddCavvAlgorithm();
    $dddCavv=$response_data->getDddCavv();
    $dddEci=$response_data->getDddEci();

    // 成功
    if (TXN_SUCCESS_CODE === $mStatus) {
        // 失敗
    } else if (TXN_FAILURE_CODE === $mStatus) {
    } else {
        $page_title = ERROR_PAGE_TITLE;
    }
}
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="ja" />
<title><?php echo $page_title ?></title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'>
    <hr />
    <div class="system-message">
        <font size="2"> 本画面はVeriTrans4G クレジットカード決済(本人認証) 本人認証結果確認の取引サンプル画面です。<br />
            お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
        </font>
    </div>
    <div class="lhtitle">本人認証結果取得：取引結果</div>
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td class="rititletop">取引ID</td>
            <td class="rivaluetop"><?php echo  $orderId ?><br /></td>
        </tr>
        <tr>
            <td class="rititle">取引ステータス</td>
            <td class="rivalue"><?php echo  $mStatus ?><br /></td>
        </tr>
        <tr>
            <td class="rititle">結果コード</td>
            <td class="rivalue"><?php echo  $vResultCode ?><br /></td>
        </tr>
        <tr>
            <td class="rititle">結果メッセージ</td>
            <td class="rivalue"><?php echo  $mErrMsg ?><br /></td>
        </tr>
        <tr>
            <td class="rititle">リクエストID</td>
            <td class="rivalue"><?php echo  $requestId ?><br /></td>
        </tr>
        <tr>
            <td class="rititle">要求取引金額</td>
            <td class="rivalue"><?php echo  $reqAmount ?><br /></td>
        </tr>
        <tr>
            <td class="rititle">要求カード番号</td>
            <td class="rivalue"><?php echo  $reqCardNumber ?><br /></td>
        </tr>
        <tr>
            <td class="rititle">本人認証取引ステータス</td>
            <td class="rivalue"><?php echo  $mpiMstatus ?><br /></td>
        </tr>
        <tr>
            <td class="rititle">本人認証結果コード</td>
            <td class="rivalue"><?php echo  $mpiVresultCode ?><br /></td>
        </tr>
        <tr>
            <td class="rititle">カード結果コード</td>
            <td class="rivalue"><?php echo  $cardMstatus ?><br /></td>
        </tr>
        <tr>
            <td class="rititle">応答承認番号</td>
            <td class="rivalue"><?php echo  $authCode ?><br /></td>
        </tr>
        <tr>
            <td class="rititle">3Dメッセージバージョン</td>
            <td class="rivalue"><?php echo  $dddMessageVersion ?><br /></td>
        </tr>
        <tr>
            <td class="rititle">3DトランザクションID</td>
            <td class="rivalue"><?php echo  $dddTransactionId ?><br /></td>
        </tr>
        <tr>
            <td class="rititle">3DDSトランザクションID</td>
            <td class="rivalue"><?php echo  $dddDsTransactionId ?><br /></td>
        </tr>
        <tr>
            <td class="rititle">3DサーバトランザクションID</td>
            <td class="rivalue"><?php echo  $dddServerTransactionId ?><br /></td>
        </tr>
        <tr>
            <td class="rititle">3Dトランザクションステータス</td>
            <td class="rivalue"><?php echo  $dddTransactionStatus ?><br /></td>
        </tr>
        <tr>
            <td class="rititle">3DCAVVアルゴリズム</td>
            <td class="rivalue"><?php echo  $dddCavvAlgorithm ?><br /></td>
        </tr>
        <tr>
            <td class="rititle">3DCAVV</td>
            <td class="rivalue"><?php echo  $dddCavv ?><br /></td>
        </tr>
        <tr>
            <td class="rititle">3DECI</td>
            <td class="rivalue"><?php echo  $dddEci ?><br /></td>
        </tr>
    </table>

    <br/>
    <a href="../AdminMenu.php">管理メニューへ戻る</a>&nbsp;&nbsp;

    <hr>
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy;
    VeriTrans Inc. All rights reserved
</body>
</html>