<?php
# Copyright © VeriTrans Inc. All right reserved.
// -------------------------------------------------------------------------
// VeriTrans 4G - PayPay取消決済の実行および結果画面のサンプル
// -------------------------------------------------------------------------

define('MDK_DIR', '../tgMdk/');

define('INPUT_PAGE', 'Cancel.php');

define('TXN_FAILURE_CODE', 'failure');
define('TXN_PENDING_CODE', 'pending');
define('TXN_SUCCESS_CODE', 'success');

require_once(MDK_DIR."3GPSMDK.php");

// 変数の初期化
$orderId = "";
$txn_status = "";
$txn_result_code = "";

/**
 * サービスオプションタイプ
 */
$service_option_type= "online";
/**
 * 取引ID
 */
$order_id = @$_POST["orderId"];

/**
 * 必須パラメータ値チェック
 */
if (empty($order_id)){
  $warning =  "<font color='#ff0000'><b>必須項目：取引IDが指定されていません</b></font>";
  include_once(INPUT_PAGE);
  exit;
}
/**
 * 要求電文パラメータ値の指定
 */
$request_data = new PaypayCancelRequestDto();
$request_data->setServiceOptionType($service_option_type);
$request_data->setOrderId($order_id);


/**
 * 実施
 */
$transaction = new TGMDK_Transaction();
$response_data = $transaction->execute($request_data);

//  var_dump($response_data);
$orderId="";
$mStatus="";
$vResultCode="";
$mErrMsg="";

$orderId=$response_data->getOrderId();
$mStatus=$response_data->getMstatus();
$vResultCode=$response_data->getVResultCode();
$mErrMsg=$response_data->getMerrMsg();

?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>取消結果</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
  <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'>
  <hr />
  <div class="system-message">
    <font size="2">本画面はVeriTrans4G PayPayの取消取引サンプル画面です。<br />
    お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
    </font>
  </div>
  <div class="lhtitle">PayPay取消：取引結果</div>
  <table border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td class="rititletop">取引ID</td>
      <td class="rivaluetop"><?php echo  $orderId ?><br /></td>
    </tr>
    <tr>
      <td class="rititle">取引ステータス</td>
      <td class="rivalue"><?php echo  $mStatus ?><br /></td>
    </tr>
    <tr>
      <td class="rititle">結果コード</td>
      <td class="rivalue"><?php echo  $vResultCode ?><br /></td>
    </tr>
    <tr>
      <td class="rititle">結果メッセージ</td>
      <td class="rivalue"><?php echo  $mErrMsg ?><br /></td>
    </tr>
  </table>

  <br/>
  <a href="../AdminMenu.php">管理メニューへ戻る</a>&nbsp;&nbsp;

  <hr>
  <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy;
  VeriTrans Inc. All rights reserved
</body>
</html>