<?php
# Copyright © VeriTrans Inc. All rights reserved.

define('MDK_DIR', '../tgMdk/');
require_once(MDK_DIR."3GPSMDK.php");

// -------------------------------------------------------------------------
// 楽天ID決済の実行および結果画面のサンプル
// -------------------------------------------------------------------------

/**
 * 取引ID
 */
$result_order_id = htmlspecialchars(@$_GET["orderId"]);

/**
 * 取引ステータス
 */
$txn_status = htmlspecialchars(@$_GET["mstatus"]);

/**
 * 結果コード
 */
$txn_result_code = htmlspecialchars(@$_GET["vResultCode"]);

/**
 * 楽天取引ID
 */
$txn_rakuten_order_id = htmlspecialchars(@$_GET["rakutenOrderId"]);

/**
 * 決済取引ID
 */
$txn_gatewayOrderId = htmlspecialchars(@$_GET["gatewayOrderId"]);

/**
 * 利用ポイント
 */
$txn_usedPoint = htmlspecialchars(@$_GET["usedPoint"]);

/**
 * クレジットカードのブランド
 */
$txn_cardBrand = htmlspecialchars(@$_GET["cardBrand"]);

/**
 * クレジットカード番号の下４桁
 */
$txn_cardLast4 = htmlspecialchars(@$_GET["cardLast4"]);

/**
 * 分割払いの回数
 */
$txn_cardInstallments = htmlspecialchars(@$_GET["cardInstallments"]);

/**
 * セキュリティコード認証利用有無
 */
$txn_cardCvc = htmlspecialchars(@$_GET["cardCvc"]);

/**
 * 3D セキュア認証利用有無
 */
$txn_card3ds = htmlspecialchars(@$_GET["card3ds"]);

/**
 * 取引成立日時
 */
$txn_transactionDatetime = htmlspecialchars(@$_GET["transactionDatetime"]);

/**
 * 取消受付期限
 */
$txn_cancelExpirationTime = htmlspecialchars(@$_GET["cancelExpirationTime"]);

/**
 * 売上受付期限
 */
$txn_captureExpirationTime = htmlspecialchars(@$_GET["captureExpirationTime"]);

/**
 * 金額変更受付期限
 */
$txn_updateExpirationTime = htmlspecialchars(@$_GET["updateExpirationTime"]);

/**
 * 与信延長受付期限
 */
$txn_extendAuthExpirationTime = htmlspecialchars(@$_GET["extendAuthExpirationTime"]);

/**
 * 楽天承諾時取引ID
 */
$txn_rakuten_consent_order_id = htmlspecialchars(@$_GET["rakutenConsentOrderId"]);

/**
 * 顧客ID
 */
$txn_customerId = htmlspecialchars(@$_GET["customerId"]);

/**
 * 取引結果
 */
$result = htmlspecialchars(@$_GET["result"]);
if($result === "SUCCESS"){
    $str_result = "完了";
}
elseif($result === "ERROR"){
    $str_result = "エラー";
}
$str_command = "決済";
$conf = TGMDK_Config::getInstance();
$array = $conf->getConnectionParameters();
$merchant_cc_id = $array[TGMDK_Config::MERCHANT_CC_ID];
$merchant_pw = $array[TGMDK_Config::MERCHANT_SECRET_KEY];
$charset = "UTF-8";

$check_result = TGMDK_AuthHashUtil::checkAuthHash(@$_GET, $merchant_cc_id, $merchant_pw, $charset);
if (!isset($check_result) || $check_result == false) {
    $warn_msg = "<font color='#ff0000'><b>【パラメータ改竄】パラメータ情報が改竄されています。</b></font><br/><br/>";
} else {
    echo "<!-- vAuthInfo check is OK -->";
}
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>取引結果（<?php echo $result ?>）</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G 楽天ID決済の取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
</font>
</div>

<?php
  if (!empty($warn_msg)) {
    echo $warn_msg."<br>";
  }
?>

<div class="lhtitle">楽天ID決済：取引結果（<?php echo $str_command ?><?php echo $str_result ?>）</div>
<table border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td class="rititletop">取引ID</td>
    <td class="rivaluetop"><?php echo $result_order_id ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">取引ステータス</td>
    <td class="rivalue"><?php echo $txn_status ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">結果コード</td>
    <td class="rivalue"><?php echo $txn_result_code ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">楽天取引ID</td>
    <td class="rivalue"><?php echo $txn_rakuten_order_id ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">決済取引ID</td>
    <td class="rivalue"><?php echo $txn_gatewayOrderId ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">利用ポイント</td>
    <td class="rivalue"><?php echo $txn_usedPoint ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">クレジットカードのブランド</td>
    <td class="rivalue"><?php echo $txn_cardBrand ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">クレジットカード番号の下４桁</td>
    <td class="rivalue"><?php echo $txn_cardLast4 ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">分割払いの回数</td>
    <td class="rivalue"><?php echo $txn_cardInstallments ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">セキュリティコード認証利用有無</td>
    <td class="rivalue"><?php echo $txn_cardCvc ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">3D セキュア認証利用有無</td>
    <td class="rivalue"><?php echo $txn_card3ds ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">取引成立日時</td>
    <td class="rivalue"><?php echo $txn_transactionDatetime ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">取消受付期限</td>
    <td class="rivalue"><?php echo $txn_cancelExpirationTime ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">売上受付期限</td>
    <td class="rivalue"><?php echo $txn_captureExpirationTime ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">金額変更受付期限</td>
    <td class="rivalue"><?php echo $txn_updateExpirationTime ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">与信延長受付期限</td>
    <td class="rivalue"><?php echo $txn_extendAuthExpirationTime ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">楽天承諾時取引ID</td>
    <td class="rivalue"><?php echo $txn_rakuten_consent_order_id ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">顧客ID</td>
    <td class="rivalue"><?php echo $txn_customerId ?><br/></td>
  </tr>
</table>
<br/>

<a href="../PaymentMethodSelect.php">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved


</body>
</html>

