<?php
# Copyright © VeriTrans Inc. All rights reserved.

// -------------------------------------------------------------------------
// 楽天ID決済与信変更の実行および結果画面のサンプル
// -------------------------------------------------------------------------

define('MDK_DIR', '../tgMdk/');

define('INPUT_PAGE', 'UpdateAuthorize.php');

define('TXN_FAILURE_CODE', 'failure');
define('TXN_PENDING_CODE', 'pending');
define('TXN_SUCCESS_CODE', 'success');
define('TRUE_FLAG_CODE', 'true');
define('FALSE_FLAG_CODE', 'false');

define('ERROR_PAGE_TITLE', 'System Error');
define('NORMAL_PAGE_TITLE', '取引結果');

require_once(MDK_DIR."3GPSMDK.php");

// 変数の初期化
$orderId = "";
$txn_status = "";
$txn_result_code = "";
$error_message = "";

/**
 * 取引ID
 */
$order_id = @$_POST["orderId"];

/**
 * 金額
 */
$payment_amount = @$_POST["amount"];

/**
 * 与信延長フラグ
 */
$auth_extension_flag = @$_POST["authExtensionFlag"];


/**
 * 必須パラメータ値チェック
 */
 if (empty($order_id)){
  $warning =  "<font color='#ff0000'><b>必須項目：取引IDが指定されていません</b></font>";
  include_once(INPUT_PAGE);
  exit;
 }
/**
 * 要求電文パラメータ値の指定
 */
 $request_data = new RakutenUpdateAuthorizeRequestDto();

 $request_data->setOrderId($order_id);
 $request_data->setAmount($payment_amount);
 $request_data->setAuthExtensionFlag($auth_extension_flag);

/**
 * 実施
 */
 $transaction = new TGMDK_Transaction();
 $response_data = $transaction->execute($request_data);

 //予期しない例外
 if (!isset($response_data)) {
  $page_title = ERROR_PAGE_TITLE;
 //想定応答の取得
 } else {
  // 取引ID
  $orderId = $response_data->getOrderId();

  $page_title = NORMAL_PAGE_TITLE;

  /**
   * 結果コード取得
   */
  $txn_status = $response_data->getMStatus();
  /**
   * 詳細コード取得
   */
  $txn_result_code = $response_data->getVResultCode();
  /**
   * エラーメッセージ取得
   */
  $error_message = $response_data->getMerrMsg();
  /**
   * 取引成立日時
   */
  $updateAuthorize_transactionDatetime = $response_data->getTransactionDatetime();
  /**
   * 楽天取引ID
   */
  $updateAuthorize_rakutenOrderId = $response_data->getRakutenOrderId();
  /**
   * 決済取引ID
   */
  $updateAuthorize_gatewayOrderId = $response_data->getGatewayOrderId();
  /**
   * 金額
   */
  $updateAuthorize_amount = $response_data->getAmount();
  /**
   * 利用ポイント
   */
  $updateAuthorize_usedPoint = $response_data->getUsedPoint();
  /**
   * 取消受付期限
   */
  $updateAuthorize_cancelExpirationTime = $response_data->getCancelExpirationTime();
  /**
   * 売上受付期限
   */
  $updateAuthorize_captureExpirationTime = $response_data->getCaptureExpirationTime();
  /**
   * 金額変更受付期限
   */
  $updateAuthorize_updateExpirationTime = $response_data->getUpdateExpirationTime();
  /**
   * 与信延長受付期限
   */
  $updateAuthorize_extendAuthExpirationTime = $response_data->getExtendAuthExpirationTime();


  // 成功
  if (TXN_SUCCESS_CODE === $txn_status) {
  } else if (TXN_PENDING_CODE === $txn_status) {
  // 失敗
  } else if (TXN_FAILURE_CODE === $txn_status) {
  } else {
    $page_title = ERROR_PAGE_TITLE;
  }
 }
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="ja" />
<title><?php echo $page_title ?></title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G 楽天ID決済の与信変更取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
</font>
</div>
<div class="lhtitle">楽天ID決済与信変更：取引結果</div>
<table border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td class="rititletop">取引ID</td>
    <td class="rivaluetop"><?php echo $orderId ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">取引ステータス</td>
    <td class="rivalue"><?php echo $txn_status ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">結果コード</td>
    <td class="rivalue"><?php echo $txn_result_code ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">結果メッセージ</td>
    <td class="rivalue"><?php echo $error_message ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">取引成立日時</td>
    <td class="rivalue"><?php echo $updateAuthorize_transactionDatetime ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">楽天取引ID</td>
    <td class="rivalue"><?php echo $updateAuthorize_rakutenOrderId ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">決済取引ID</td>
    <td class="rivalue"><?php echo $updateAuthorize_gatewayOrderId ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">金額</td>
    <td class="rivalue"><?php echo $updateAuthorize_amount ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">利用ポイント</td>
    <td class="rivalue"><?php echo $updateAuthorize_usedPoint ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">取消受付期限</td>
    <td class="rivalue"><?php echo $updateAuthorize_cancelExpirationTime ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">売上受付期限</td>
    <td class="rivalue"><?php echo $updateAuthorize_captureExpirationTime ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">金額変更受付期限</td>
    <td class="rivalue"><?php echo $updateAuthorize_updateExpirationTime ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">与信延長受付期限</td>
    <td class="rivalue"><?php echo $updateAuthorize_extendAuthExpirationTime ?><br/></td>
  </tr>
</table>

<br>

<a href="../AdminMenu.php">管理メニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
